:root {
  --color: #333;
  --primary: #14689B;
  --secondary: #aad544;
  --horizontal-gutter: 2rem;
  --leading: 1.5;
}

body {
  box-sizing: border-box;
  display: grid;
  grid-template-areas:
    "header  header"
    "sidebar content";
  grid-template-columns: 1fr 3fr;
  grid-column-gap: 2rem;
  margin: 0;
  padding: 1.5rem;
  color: #333;
  background: var(--primary);
  font: 1em/var(--leading) sans-serif;
}

header {
  grid-area: header;
  color: var(--secondary);
  padding-bottom: 1.5rem;
  background: transparent;
}

header svg {
  display: block;
  width: 100%;
  height: 1px;
  fill: currentColor;
}

header svg {
  width: 100%;
  height: auto;
}

nav {
  grid-area: sidebar;
  border-radius: 5px;
  padding: 1.5rem 0 1.5rem 0;
  background: #fff;
}

nav h2 {
  margin: 0;
  border-bottom: 1px solid var(--primary);
  padding: 0.75rem var(--horizontal-gutter);
  font-size: 1rem;
}

nav ul {
  margin: 0;
  padding: 0;
  list-style: none;
  text-align: right;
}

nav ul li {
  margin: 0;
}

nav ul a {
  display: block;
  padding: 0.75rem var(--horizontal-gutter);
  text-decoration: none;
}

nav ul a:focus,
nav ul a:hover {
  outline: none;
  color: var(--secondary);
  background: var(--primary);
}

main {
  grid-area: content;
  border-radius: 5px;
  padding: 1.5rem var(--horizontal-gutter);
  color: var(--color);
  background: #fff;
}

main h1 {
  display: flex;
  align-items: center;
  margin: 0 calc(var(--horizontal-gutter) * -1);
  border-bottom: 1px solid var(--primary);
  padding: 0.75rem var(--horizontal-gutter);
  font-size: 1rem;
}

main h1 code {
  font-weight: bold;
}

main h1 a {
  margin-left: 0.5rem;
}

main h1 img {
  display: block;
}

main h2 {
  font-size: 1rem;
}

main p {
  margin: 0.75rem 0;
}

main blockquote {
  margin: 0;
  font-style: italic;
}

main ul {
  margin: 0.75rem 0;
  padding: 0;
}

code {
  color: var(--color);
  background: transparent;
  font: 1rem/1.5 Monaco, monospaced;
}

a {
  color: var(--primary);
  background: transparent;
}
